package com.ff.base.enums;


import lombok.Getter;

/**
 * 活动模板类型
 *
 * @author shang
 */
@Getter
public enum ActivityTemplateType {

    ActivityTemplateType_1(1, "充值"),
    ActivityTemplateType_2(2, "打码"),
    ActivityTemplateType_3(3, "救援金"),
    ActivityTemplateType_4(4, "签到"),
    ActivityTemplateType_5(5, "幸运转盘"),
    ActivityTemplateType_6(6, "幸运注单"),
    ActivityTemplateType_7(7, "红包"),
    ActivityTemplateType_8(8, "投资"),
    ActivityTemplateType_9(9, "推广"),
    ActivityTemplateType_10(10, "代理"),
    ActivityTemplateType_11(11, "集字"),
    ActivityTemplateType_12(12, "竞猜"),
    ActivityTemplateType_13(13, "新人彩金"),
    ActivityTemplateType_14(14, "抽奖助力"),
    ActivityTemplateType_15(15, "砍一刀"),
    ActivityTemplateType_16(16, "排行榜"),
    ActivityTemplateType_17(17, "自定义");


    private final Integer code;
    private final String info;

    ActivityTemplateType(Integer code, String info)
    {
        this.code = code;
        this.info = info;
    }
    public static ActivityTemplateType getActivityTemplateTypByCode(Integer code)
    {
        for (ActivityTemplateType item : ActivityTemplateType.values()) {
            if(item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }
}
